Get non labor rate overrides
get
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/BillPlan/{BillPlanUniqID}/child/NonLaborRateOverride
Request
Path Parameters
-
BillPlanUniqID(required): string
This is the hash key of the attributes which make up the composite key--- BillPlanId and MajorVersion ---for the Bill Plans resource and used to uniquely identify an instance of Bill Plans. The client should not generate the hash key value. Instead, the client should query on the Bill Plans collection resource with a filter on the primary key values in order to navigate to a specific instance of Bill Plans.
For example: BillPlan?q=BillPlanId=<value1>;MajorVersion=<value2> -
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- NonLaborRateOverrideExtAltKey: Finds the non labor rate override with the specified exteral alternate key.
Finder Variables:- ExternalReferenceKey; string.
- ExternalSourceKey; string.
- PrimaryKey: Finds the non labor rate override with the specified non override ID and major version.
Finder Variables:- BillRateOverrideId; integer; The non-labor override identifier.
- MajorVersion; integer; The non labor override major version.
- NonLaborRateOverrideExtAltKey: Finds the non labor rate override with the specified exteral alternate key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BillRateOverrideId; integer; Unique identifier of the bill rate override.
- ContractLineId; integer; Unique identifier of the contract line for which the bill rate override applies.
- ContractLineNumber; string; Contract line number for which the bill rate override applies.
- DiscountPercentage; number; Discount percentage applied to the bill rate.
- EndDateActive; string; Date till which bill rate override is effective.
- ExpenditureTypeId; integer; Unique identifier of the expenditure type for which the bill rate is being overridden.
- ExpenditureTypeName; string; Expenditure type name for which the bill rate is being overridden.
- ExternalReferenceKey; string; Unique identifier of the override in the source application. Used to identify overrides created through external webservices.
- ExternalSourceKey; string; Unique identifier of the source application where the override is created. Used to identify overrides created through external webservices.
- MajorVersion; integer; Current version of a record.
- MarkupPercentage; number; Markup percentage applied to the bill rate.
- NonLaborResourceId; integer; Unique identifier of the non labor resource for which the bill rate is being overridden.
- NonLaborResourceName; string; Non labor resource name for which the bill rate is being overridden.
- OrganizationId; integer; Unique identifier of the organization for which the bill rate overrides are being defined.
- OrganizationName; string; Name of the organization for which the bill rate overrides are being defined.
- Rate; number; Amount billed to the customer for an item.
- RateCurrency; string; Currency of the bill rate override.
- RateCurrencyCode; string; Currency code of the bill rate override.
- RateDiscReasonCode; string; Reason code for applying a discount.
- RateDiscountReason; string; Reason for applying a discount.
- StartDateActive; string; Date from which bill rate override is effective.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-BillPlan-NonLaborRateOverride
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-BillPlan-NonLaborRateOverride-item-response
Type:
Show Source
object-
BillRateOverrideId: integer
(int64)
Title:
Nonlabor Rate Override IDUnique identifier of the bill rate override. -
ContractLineId: integer
(int64)
Title:
Contract Line IDUnique identifier of the contract line for which the bill rate override applies. -
ContractLineNumber: string
Title:
Contract Line NumberMaximum Length:150Contract line number for which the bill rate override applies. -
DiscountPercentage: number
Title:
Discount PercentageDiscount percentage applied to the bill rate. -
EndDateActive: string
(date)
Title:
End DateDate till which bill rate override is effective. -
ExpenditureTypeId: integer
(int64)
Title:
Expenditure Type IDUnique identifier of the expenditure type for which the bill rate is being overridden. -
ExpenditureTypeName: string
Title:
Expenditure TypeMaximum Length:240Expenditure type name for which the bill rate is being overridden. -
ExternalReferenceKey: string
Title:
External Reference KeyMaximum Length:150Unique identifier of the override in the source application. Used to identify overrides created through external webservices. -
ExternalSourceKey: string
Title:
External Source KeyMaximum Length:150Unique identifier of the source application where the override is created. Used to identify overrides created through external webservices. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MajorVersion: integer
(int64)
Title:
VersionDefault Value:1Current version of a record. -
MarkupPercentage: number
Title:
Markup PercentageMarkup percentage applied to the bill rate. -
NonLaborResourceId: integer
(int64)
Title:
Nonlabor Resource IDUnique identifier of the non labor resource for which the bill rate is being overridden. -
NonLaborResourceName: string
Title:
Nonlabor ResourceMaximum Length:240Non labor resource name for which the bill rate is being overridden. -
OrganizationId: integer
(int64)
Title:
Organization IDUnique identifier of the organization for which the bill rate overrides are being defined. -
OrganizationName: string
Title:
OrganizationMaximum Length:240Name of the organization for which the bill rate overrides are being defined. -
Rate: number
Title:
RateAmount billed to the customer for an item. -
RateCurrency: string
Title:
CurrencyMaximum Length:80Currency of the bill rate override. -
RateCurrencyCode: string
Title:
Currency CodeMaximum Length:30Currency code of the bill rate override. -
RateDiscountReason: string
Title:
Rate Change ReasonMaximum Length:80Reason for applying a discount. -
RateDiscReasonCode: string
Title:
Rate Change Reason CodeMaximum Length:30Reason code for applying a discount. -
StartDateActive: string
(date)
Title:
Start DateDate from which bill rate override is effective.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to get all non labor rate overrides by submitting a GET request on the REST resource using cURL.
cURL Command
curl -X GET "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/BillPlan/{BillPlanUniqID}/child/NonLaborRateOverride" \
-u "username:password" \
-H "REST-Framework-Version: 8"
Example of Response Body
The following shows the contents of the response body in JSON format.
{
"items": [
{
"Id": 300100012807757,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": "Spot",
"InvConvRateDateTypeName": "Transaction date",
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ZOKC-INF-PMactive003",
"ContractNumberModifier": null,
"Cognomen": null,
"BuyOrSell": "S",
"PartyId": 1004,
"PartyName": "Hilman and Associates",
"InvOrganizationId": 204,
"StsCode": "ACTIVE",
"CurrencyCode": "USD",
"StartDate": "2012-08-30",
"EndDate": null,
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": "Spot",
"InvConvRateDateType": "TRANSACTION",
"InvConvRateDate": null,
"InvTrxTypeId": 37,
"InvTrxTypeName": "PA Invoice",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1004,
"BillToAccount": "Hilman and Associates",
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSiteUseLocation": "Tulsa (OPS)",
"BillToAddress": "1230 East 60th Street South,OK",
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSiteUseLocation": "Tulsa (OPS)",
"ShipToAddress": "1230 East 60th Street South,OK",
"ShipToAccountDescription": "Hilman and Associates",
"SoldToAccountId": 1004,
"SoldToAccount": "Hilman and Associates",
"SoldToAccountNumber": "1004",
"SoldToSiteId": 1030,
"SoldToNumber": "San Jose (OPS)",
"SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
"SoldToAccountDescription": "Hilman and Associates",
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2012-08-31",
"DatetimeCancelled": null,
"DateSigned": "2012-08-31",
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": 1,
"BillSequence": 1,
"OverallRiskCode": null,
"ShortDescription": null,
"Description": null,
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1004,
"CustomerPartySiteId": 1018,
"GeneratedInvoiceStatus": "D",
"OwningOrgId": 204,
"NetInvoiceFlag": false,
"VersionType": "C",
"OwningOrgName": "Vision Operations",
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "true",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "true",
"ApplyHoldRenderedFlag": "true",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 85000,
"TaxAmount": 0,
"LastUpdateDate": "2025-12-18T13:14:07+00:00",
"LastUpdateLogin": "C8595C3AC0004072E0432620F00A8AB8",
"LastUpdatedBy": "FUSION",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "CONMGR",
"CreationDate": "2012-08-30T23:52:21.990+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1004,
"OrigSystemId": 300100012798153,
"OrigSystemReference": "1",
"OrigSystemSourceCode": "OKCCOPY",
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "ACTIVE",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Active",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "Hilman and Associates",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1004,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069549912,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-369",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"BillPlan": {
"items": [
{
"BillPlanId": 300100012807759,
"MajorVersion": 1,
"BillMethodId": 1003,
"BillMethodName": "Bill Rate Invoice",
"BillPlanName": "bp-7",
"InvoiceCurrencyOptCode": "CONTRACT",
"BillingCurrencyType": "Contract",
"PaymentTermsId": 4,
"PaymentTerms": "30 Net",
"BillSetNumber": 1,
"InvHdrGroupingOptions": null,
"InvoiceHdrGrpOptName": null,
"BillToCustomerAccountId": 1004,
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSite": "Tulsa (OPS)",
"BillToContactId": 1087,
"BillToContactName": "Betty Lewis",
"BillToContactEmail": "sendmail-test-discard@oracle.com",
"BillingCycleId": 4002,
"BillingCycle": "First Day of the Month",
"LaborInvoiceFormatId": 100000011406004,
"LaborInvoiceFormat": "Cont Line Prj/Task Format",
"NlInvoiceFormatId": 7002,
"NonlaborInvoiceFormat": "Contract Line Expenditure Type",
"EventsInvoiceFormatId": 100000011213026,
"EventInvoiceFormat": "Cont Line Project/Task Event",
"FirstBillingOffsetDays": null,
"InvoiceInstructions": null,
"InvoiceComment": null,
"PersonBillRateSchId": 100000010146226,
"PersonRateSchedule": "Employee Bill Rates",
"JobBillRateSchId": 100000015522717,
"JobRateSchedule": "Budget Const Job Planning Bill",
"LaborSchFixedDate": null,
"LaborDiscountPercentage": null,
"LaborDiscountReasonCode": null,
"LaborRateChangeReason": null,
"NlBillRateSchId": 100000015522739,
"NonlaborRateSchedule": "Budget Nonlabor Planning Bill",
"NlSchFixedDate": null,
"NlDiscountPercentage": null,
"NlDiscountReasonCode": null,
"NonlaborRateChangeReason": null,
"BurdenSchId": null,
"BurdenSchedule": null,
"BurdenSchFixedDate": null,
"LaborTpScheduleId": null,
"LaborTransferPriceSchedule": null,
"LaborTpSchFixedDate": null,
"NlTpScheduleId": null,
"NonlaborTransferPriceSchedule": null,
"NlTpSchFixedDate": null,
"OnHoldFlag": false,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"InvoiceCurrencyDateType": null,
"InvoiceCurrencyConversionDateType": null,
"InvoiceCurrencyExchgDate": null,
"InvoiceCurrencyRateType": null,
"InvoiceCurrencyConversionRateType": null,
"InvoiceCurrencyCode": null,
"NlBillBasisCode": null,
"NonlaborCostBasis": null,
"LaborBillBasisCode": null,
"LaborCostBasis": null,
"LaborMarkupPercentage": null,
"NlMarkupPercentage": null,
"DocumentNumber": null,
"LocFlag": null,
"FederalInvoiceFormat": null,
"ProjectRoleBillRateSchId": null,
"ProjectRoleRateScheduleName": null,
"NonLaborRateOverride": {
"items": [
{
"BillRateOverrideId": 300100012807765,
"MajorVersion": 1,
"ContractLineId": null,
"ContractLineNumber": null,
"ExpenditureTypeId": 10401,
"ExpenditureTypeName": "15800 - Process Piping",
"NonLaborResourceId": null,
"NonLaborResourceName": null,
"StartDateActive": "2011-01-01",
"OrganizationId": null,
"OrganizationName": null,
"Rate": 1,
"RateCurrencyCode": "USD",
"RateCurrency": "US Dollar",
"DiscountPercentage": null,
"RateDiscReasonCode": null,
"RateDiscountReason": null,
"MarkupPercentage": null,
"EndDateActive": "2030-01-01",
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "300100012807765,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/NonLaborRateOverride/300100012807765%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/NonLaborRateOverride/300100012807765%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1",
"name": "BillPlan",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
}
]
},
"@context": {
"key": "300100012807759,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/BillPlanDescriptiveFlexField",
"name": "BillPlanDescriptiveFlexField",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/BillPlanTranslation",
"name": "BillPlanTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/JobAssignmentOverride",
"name": "JobAssignmentOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/JobRateOverride",
"name": "JobRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/JobTitleOverride",
"name": "JobTitleOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/LaborMultiplierOverride",
"name": "LaborMultiplierOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807759%2C1/child/PersonRateOverride",
"name": "PersonRateOverride",
"kind": "collection"
}
]
}
},
{
"BillPlanId": 300100012807766,
"MajorVersion": 1,
"BillMethodId": 1003,
"BillMethodName": "Bill Rate Invoice",
"BillPlanName": "BP-5",
"InvoiceCurrencyOptCode": "CONTRACT",
"BillingCurrencyType": "Contract",
"PaymentTermsId": 4,
"PaymentTerms": "30 Net",
"BillSetNumber": 1,
"InvHdrGroupingOptions": null,
"InvoiceHdrGrpOptName": null,
"BillToCustomerAccountId": 1004,
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSite": "Tulsa (OPS)",
"BillToContactId": 1087,
"BillToContactName": "Betty Lewis",
"BillToContactEmail": "sendmail-test-discard@oracle.com",
"BillingCycleId": 4002,
"BillingCycle": "First Day of the Month",
"LaborInvoiceFormatId": 100000011406004,
"LaborInvoiceFormat": "Cont Line Prj/Task Format",
"NlInvoiceFormatId": 7002,
"NonlaborInvoiceFormat": "Contract Line Expenditure Type",
"EventsInvoiceFormatId": 100000011213026,
"EventInvoiceFormat": "Cont Line Project/Task Event",
"FirstBillingOffsetDays": null,
"InvoiceInstructions": null,
"InvoiceComment": null,
"PersonBillRateSchId": 100000010146226,
"PersonRateSchedule": "Employee Bill Rates",
"JobBillRateSchId": 100000015522717,
"JobRateSchedule": "Budget Const Job Planning Bill",
"LaborSchFixedDate": null,
"LaborDiscountPercentage": null,
"LaborDiscountReasonCode": null,
"LaborRateChangeReason": null,
"NlBillRateSchId": 100000015522739,
"NonlaborRateSchedule": "Budget Nonlabor Planning Bill",
"NlSchFixedDate": null,
"NlDiscountPercentage": null,
"NlDiscountReasonCode": null,
"NonlaborRateChangeReason": null,
"BurdenSchId": null,
"BurdenSchedule": null,
"BurdenSchFixedDate": null,
"LaborTpScheduleId": null,
"LaborTransferPriceSchedule": null,
"LaborTpSchFixedDate": null,
"NlTpScheduleId": null,
"NonlaborTransferPriceSchedule": null,
"NlTpSchFixedDate": null,
"OnHoldFlag": false,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"InvoiceCurrencyDateType": null,
"InvoiceCurrencyConversionDateType": null,
"InvoiceCurrencyExchgDate": null,
"InvoiceCurrencyRateType": null,
"InvoiceCurrencyConversionRateType": null,
"InvoiceCurrencyCode": null,
"NlBillBasisCode": null,
"NonlaborCostBasis": null,
"LaborBillBasisCode": null,
"LaborCostBasis": null,
"LaborMarkupPercentage": null,
"NlMarkupPercentage": null,
"DocumentNumber": null,
"LocFlag": null,
"FederalInvoiceFormat": null,
"ProjectRoleBillRateSchId": null,
"ProjectRoleRateScheduleName": null,
"NonLaborRateOverride": {
"items": [
{
"BillRateOverrideId": 300100012807772,
"MajorVersion": 1,
"ContractLineId": null,
"ContractLineNumber": null,
"ExpenditureTypeId": 10401,
"ExpenditureTypeName": "15800 - Process Piping",
"NonLaborResourceId": null,
"NonLaborResourceName": null,
"StartDateActive": "2011-01-01",
"OrganizationId": null,
"OrganizationName": null,
"Rate": 1,
"RateCurrencyCode": "USD",
"RateCurrency": "US Dollar",
"DiscountPercentage": null,
"RateDiscReasonCode": null,
"RateDiscountReason": null,
"MarkupPercentage": null,
"EndDateActive": "2030-01-01",
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "300100012807772,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/NonLaborRateOverride/300100012807772%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/NonLaborRateOverride/300100012807772%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1",
"name": "BillPlan",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
}
]
},
"@context": {
"key": "300100012807766,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/BillPlanDescriptiveFlexField",
"name": "BillPlanDescriptiveFlexField",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/BillPlanTranslation",
"name": "BillPlanTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/JobAssignmentOverride",
"name": "JobAssignmentOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/JobRateOverride",
"name": "JobRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/JobTitleOverride",
"name": "JobTitleOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/LaborMultiplierOverride",
"name": "LaborMultiplierOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807766%2C1/child/PersonRateOverride",
"name": "PersonRateOverride",
"kind": "collection"
}
]
}
},
{
"BillPlanId": 300100012807773,
"MajorVersion": 1,
"BillMethodId": 1003,
"BillMethodName": "Bill Rate Invoice",
"BillPlanName": "bp-4",
"InvoiceCurrencyOptCode": "CONTRACT",
"BillingCurrencyType": "Contract",
"PaymentTermsId": 4,
"PaymentTerms": "30 Net",
"BillSetNumber": 1,
"InvHdrGroupingOptions": null,
"InvoiceHdrGrpOptName": null,
"BillToCustomerAccountId": 1004,
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSite": "Tulsa (OPS)",
"BillToContactId": 1087,
"BillToContactName": "Betty Lewis",
"BillToContactEmail": "sendmail-test-discard@oracle.com",
"BillingCycleId": 4002,
"BillingCycle": "First Day of the Month",
"LaborInvoiceFormatId": 100000011406004,
"LaborInvoiceFormat": "Cont Line Prj/Task Format",
"NlInvoiceFormatId": 7002,
"NonlaborInvoiceFormat": "Contract Line Expenditure Type",
"EventsInvoiceFormatId": 100000011213026,
"EventInvoiceFormat": "Cont Line Project/Task Event",
"FirstBillingOffsetDays": null,
"InvoiceInstructions": null,
"InvoiceComment": null,
"PersonBillRateSchId": 100000010146226,
"PersonRateSchedule": "Employee Bill Rates",
"JobBillRateSchId": 100000015522717,
"JobRateSchedule": "Budget Const Job Planning Bill",
"LaborSchFixedDate": null,
"LaborDiscountPercentage": null,
"LaborDiscountReasonCode": null,
"LaborRateChangeReason": null,
"NlBillRateSchId": 100000015522739,
"NonlaborRateSchedule": "Budget Nonlabor Planning Bill",
"NlSchFixedDate": null,
"NlDiscountPercentage": null,
"NlDiscountReasonCode": null,
"NonlaborRateChangeReason": null,
"BurdenSchId": null,
"BurdenSchedule": null,
"BurdenSchFixedDate": null,
"LaborTpScheduleId": null,
"LaborTransferPriceSchedule": null,
"LaborTpSchFixedDate": null,
"NlTpScheduleId": null,
"NonlaborTransferPriceSchedule": null,
"NlTpSchFixedDate": null,
"OnHoldFlag": false,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"InvoiceCurrencyDateType": null,
"InvoiceCurrencyConversionDateType": null,
"InvoiceCurrencyExchgDate": null,
"InvoiceCurrencyRateType": null,
"InvoiceCurrencyConversionRateType": null,
"InvoiceCurrencyCode": null,
"NlBillBasisCode": null,
"NonlaborCostBasis": null,
"LaborBillBasisCode": null,
"LaborCostBasis": null,
"LaborMarkupPercentage": null,
"NlMarkupPercentage": null,
"DocumentNumber": null,
"LocFlag": null,
"FederalInvoiceFormat": null,
"ProjectRoleBillRateSchId": null,
"ProjectRoleRateScheduleName": null,
"NonLaborRateOverride": {
"items": [
{
"BillRateOverrideId": 300100012824779,
"MajorVersion": 1,
"ContractLineId": null,
"ContractLineNumber": null,
"ExpenditureTypeId": 10401,
"ExpenditureTypeName": "15800 - Process Piping",
"NonLaborResourceId": null,
"NonLaborResourceName": null,
"StartDateActive": "2011-01-01",
"OrganizationId": null,
"OrganizationName": null,
"Rate": 1,
"RateCurrencyCode": "USD",
"RateCurrency": "US Dollar",
"DiscountPercentage": null,
"RateDiscReasonCode": null,
"RateDiscountReason": null,
"MarkupPercentage": null,
"EndDateActive": "2030-01-01",
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "300100012824779,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/NonLaborRateOverride/300100012824779%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/NonLaborRateOverride/300100012824779%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1",
"name": "BillPlan",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
}
]
},
"@context": {
"key": "300100012807773,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/BillPlanDescriptiveFlexField",
"name": "BillPlanDescriptiveFlexField",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/BillPlanTranslation",
"name": "BillPlanTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/JobAssignmentOverride",
"name": "JobAssignmentOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/JobRateOverride",
"name": "JobRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/JobTitleOverride",
"name": "JobTitleOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/LaborMultiplierOverride",
"name": "LaborMultiplierOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan/300100012807773%2C1/child/PersonRateOverride",
"name": "PersonRateOverride",
"kind": "collection"
}
]
}
}
],
"count": 3,
"hasMore": true,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069549912",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549912/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 300100012835873,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": "Spot",
"InvConvRateDateTypeName": "Transaction date",
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ZOKC-INF-PMexp002",
"ContractNumberModifier": null,
"Cognomen": null,
"BuyOrSell": "S",
"PartyId": 1004,
"PartyName": "Hilman and Associates",
"InvOrganizationId": 204,
"StsCode": "EXPIRED",
"CurrencyCode": "USD",
"StartDate": "2011-08-31",
"EndDate": "2012-09-03",
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": "Spot",
"InvConvRateDateType": "TRANSACTION",
"InvConvRateDate": null,
"InvTrxTypeId": 37,
"InvTrxTypeName": "PA Invoice",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1004,
"BillToAccount": "Hilman and Associates",
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSiteUseLocation": "Tulsa (OPS)",
"BillToAddress": "1230 East 60th Street South,OK",
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSiteUseLocation": "Tulsa (OPS)",
"ShipToAddress": "1230 East 60th Street South,OK",
"ShipToAccountDescription": "Hilman and Associates",
"SoldToAccountId": 1004,
"SoldToAccount": "Hilman and Associates",
"SoldToAccountNumber": "1004",
"SoldToSiteId": 1030,
"SoldToNumber": "San Jose (OPS)",
"SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
"SoldToAccountDescription": "Hilman and Associates",
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2012-08-31",
"DatetimeCancelled": null,
"DateSigned": "2012-08-31",
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": 1,
"BillSequence": 1,
"OverallRiskCode": null,
"ShortDescription": null,
"Description": null,
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1004,
"CustomerPartySiteId": 1018,
"GeneratedInvoiceStatus": "D",
"OwningOrgId": 204,
"NetInvoiceFlag": false,
"VersionType": "C",
"OwningOrgName": "Vision Operations",
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "true",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "true",
"ApplyHoldRenderedFlag": "true",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 40000,
"TaxAmount": 0,
"LastUpdateDate": "2025-12-18T13:14:07+00:00",
"LastUpdateLogin": "6A199CBF1E870F01E0534180F50A7C56",
"LastUpdatedBy": "FUSION",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "CONMGR",
"CreationDate": "2012-08-31T00:13:13.186+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1004,
"OrigSystemId": 300100012806863,
"OrigSystemReference": "1",
"OrigSystemSourceCode": "OKCCOPY",
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "EXPIRED",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Expired",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "Hilman and Associates",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1004,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069549916,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-371",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"BillPlan": {
"items": [
{
"BillPlanId": 300100012835875,
"MajorVersion": 1,
"BillMethodId": 1003,
"BillMethodName": "Bill Rate Invoice",
"BillPlanName": "bp-7",
"InvoiceCurrencyOptCode": "CONTRACT",
"BillingCurrencyType": "Contract",
"PaymentTermsId": 4,
"PaymentTerms": "30 Net",
"BillSetNumber": 1,
"InvHdrGroupingOptions": null,
"InvoiceHdrGrpOptName": null,
"BillToCustomerAccountId": 1004,
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSite": "Tulsa (OPS)",
"BillToContactId": 1087,
"BillToContactName": "Betty Lewis",
"BillToContactEmail": "sendmail-test-discard@oracle.com",
"BillingCycleId": 4002,
"BillingCycle": "First Day of the Month",
"LaborInvoiceFormatId": 100000011406004,
"LaborInvoiceFormat": "Cont Line Prj/Task Format",
"NlInvoiceFormatId": 7002,
"NonlaborInvoiceFormat": "Contract Line Expenditure Type",
"EventsInvoiceFormatId": 100000011213026,
"EventInvoiceFormat": "Cont Line Project/Task Event",
"FirstBillingOffsetDays": null,
"InvoiceInstructions": null,
"InvoiceComment": null,
"PersonBillRateSchId": 100000010146226,
"PersonRateSchedule": "Employee Bill Rates",
"JobBillRateSchId": 100000015522717,
"JobRateSchedule": "Budget Const Job Planning Bill",
"LaborSchFixedDate": null,
"LaborDiscountPercentage": null,
"LaborDiscountReasonCode": null,
"LaborRateChangeReason": null,
"NlBillRateSchId": 100000015522739,
"NonlaborRateSchedule": "Budget Nonlabor Planning Bill",
"NlSchFixedDate": null,
"NlDiscountPercentage": null,
"NlDiscountReasonCode": null,
"NonlaborRateChangeReason": null,
"BurdenSchId": null,
"BurdenSchedule": null,
"BurdenSchFixedDate": null,
"LaborTpScheduleId": null,
"LaborTransferPriceSchedule": null,
"LaborTpSchFixedDate": null,
"NlTpScheduleId": null,
"NonlaborTransferPriceSchedule": null,
"NlTpSchFixedDate": null,
"OnHoldFlag": false,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"InvoiceCurrencyDateType": null,
"InvoiceCurrencyConversionDateType": null,
"InvoiceCurrencyExchgDate": null,
"InvoiceCurrencyRateType": null,
"InvoiceCurrencyConversionRateType": null,
"InvoiceCurrencyCode": null,
"NlBillBasisCode": null,
"NonlaborCostBasis": null,
"LaborBillBasisCode": null,
"LaborCostBasis": null,
"LaborMarkupPercentage": null,
"NlMarkupPercentage": null,
"DocumentNumber": null,
"LocFlag": null,
"FederalInvoiceFormat": null,
"ProjectRoleBillRateSchId": null,
"ProjectRoleRateScheduleName": null,
"NonLaborRateOverride": {
"items": [
{
"BillRateOverrideId": 300100012835881,
"MajorVersion": 1,
"ContractLineId": null,
"ContractLineNumber": null,
"ExpenditureTypeId": 10401,
"ExpenditureTypeName": "15800 - Process Piping",
"NonLaborResourceId": null,
"NonLaborResourceName": null,
"StartDateActive": "2011-01-01",
"OrganizationId": null,
"OrganizationName": null,
"Rate": 1,
"RateCurrencyCode": "USD",
"RateCurrency": "US Dollar",
"DiscountPercentage": null,
"RateDiscReasonCode": null,
"RateDiscountReason": null,
"MarkupPercentage": null,
"EndDateActive": "2030-01-01",
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "300100012835881,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/NonLaborRateOverride/300100012835881%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/NonLaborRateOverride/300100012835881%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1",
"name": "BillPlan",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
}
]
},
"@context": {
"key": "300100012835875,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/BillPlanDescriptiveFlexField",
"name": "BillPlanDescriptiveFlexField",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/BillPlanTranslation",
"name": "BillPlanTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/JobAssignmentOverride",
"name": "JobAssignmentOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/JobRateOverride",
"name": "JobRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/JobTitleOverride",
"name": "JobTitleOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/LaborMultiplierOverride",
"name": "LaborMultiplierOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835875%2C1/child/PersonRateOverride",
"name": "PersonRateOverride",
"kind": "collection"
}
]
}
},
{
"BillPlanId": 300100012835882,
"MajorVersion": 1,
"BillMethodId": 1003,
"BillMethodName": "Bill Rate Invoice",
"BillPlanName": "BP-5",
"InvoiceCurrencyOptCode": "CONTRACT",
"BillingCurrencyType": "Contract",
"PaymentTermsId": 4,
"PaymentTerms": "30 Net",
"BillSetNumber": 1,
"InvHdrGroupingOptions": null,
"InvoiceHdrGrpOptName": null,
"BillToCustomerAccountId": 1004,
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSite": "Tulsa (OPS)",
"BillToContactId": 1087,
"BillToContactName": "Betty Lewis",
"BillToContactEmail": "sendmail-test-discard@oracle.com",
"BillingCycleId": 4002,
"BillingCycle": "First Day of the Month",
"LaborInvoiceFormatId": 100000011406004,
"LaborInvoiceFormat": "Cont Line Prj/Task Format",
"NlInvoiceFormatId": 7002,
"NonlaborInvoiceFormat": "Contract Line Expenditure Type",
"EventsInvoiceFormatId": 100000011213026,
"EventInvoiceFormat": "Cont Line Project/Task Event",
"FirstBillingOffsetDays": null,
"InvoiceInstructions": null,
"InvoiceComment": null,
"PersonBillRateSchId": 100000010146226,
"PersonRateSchedule": "Employee Bill Rates",
"JobBillRateSchId": 100000015522717,
"JobRateSchedule": "Budget Const Job Planning Bill",
"LaborSchFixedDate": null,
"LaborDiscountPercentage": null,
"LaborDiscountReasonCode": null,
"LaborRateChangeReason": null,
"NlBillRateSchId": 100000015522739,
"NonlaborRateSchedule": "Budget Nonlabor Planning Bill",
"NlSchFixedDate": null,
"NlDiscountPercentage": null,
"NlDiscountReasonCode": null,
"NonlaborRateChangeReason": null,
"BurdenSchId": null,
"BurdenSchedule": null,
"BurdenSchFixedDate": null,
"LaborTpScheduleId": null,
"LaborTransferPriceSchedule": null,
"LaborTpSchFixedDate": null,
"NlTpScheduleId": null,
"NonlaborTransferPriceSchedule": null,
"NlTpSchFixedDate": null,
"OnHoldFlag": false,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"InvoiceCurrencyDateType": null,
"InvoiceCurrencyConversionDateType": null,
"InvoiceCurrencyExchgDate": null,
"InvoiceCurrencyRateType": null,
"InvoiceCurrencyConversionRateType": null,
"InvoiceCurrencyCode": null,
"NlBillBasisCode": null,
"NonlaborCostBasis": null,
"LaborBillBasisCode": null,
"LaborCostBasis": null,
"LaborMarkupPercentage": null,
"NlMarkupPercentage": null,
"DocumentNumber": null,
"LocFlag": null,
"FederalInvoiceFormat": null,
"ProjectRoleBillRateSchId": null,
"ProjectRoleRateScheduleName": null,
"NonLaborRateOverride": {
"items": [
{
"BillRateOverrideId": 300100012835888,
"MajorVersion": 1,
"ContractLineId": null,
"ContractLineNumber": null,
"ExpenditureTypeId": 10401,
"ExpenditureTypeName": "15800 - Process Piping",
"NonLaborResourceId": null,
"NonLaborResourceName": null,
"StartDateActive": "2011-01-01",
"OrganizationId": null,
"OrganizationName": null,
"Rate": 1,
"RateCurrencyCode": "USD",
"RateCurrency": "US Dollar",
"DiscountPercentage": null,
"RateDiscReasonCode": null,
"RateDiscountReason": null,
"MarkupPercentage": null,
"EndDateActive": "2030-01-01",
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "300100012835888,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/NonLaborRateOverride/300100012835888%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/NonLaborRateOverride/300100012835888%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1",
"name": "BillPlan",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
}
]
},
"@context": {
"key": "300100012835882,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/BillPlanDescriptiveFlexField",
"name": "BillPlanDescriptiveFlexField",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/BillPlanTranslation",
"name": "BillPlanTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/JobAssignmentOverride",
"name": "JobAssignmentOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/JobRateOverride",
"name": "JobRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/JobTitleOverride",
"name": "JobTitleOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/LaborMultiplierOverride",
"name": "LaborMultiplierOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835882%2C1/child/PersonRateOverride",
"name": "PersonRateOverride",
"kind": "collection"
}
]
}
},
{
"BillPlanId": 300100012835889,
"MajorVersion": 1,
"BillMethodId": 1003,
"BillMethodName": "Bill Rate Invoice",
"BillPlanName": "bp-4",
"InvoiceCurrencyOptCode": "CONTRACT",
"BillingCurrencyType": "Contract",
"PaymentTermsId": 4,
"PaymentTerms": "30 Net",
"BillSetNumber": 1,
"InvHdrGroupingOptions": null,
"InvoiceHdrGrpOptName": null,
"BillToCustomerAccountId": 1004,
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSite": "Tulsa (OPS)",
"BillToContactId": 1087,
"BillToContactName": "Betty Lewis",
"BillToContactEmail": "sendmail-test-discard@oracle.com",
"BillingCycleId": 4002,
"BillingCycle": "First Day of the Month",
"LaborInvoiceFormatId": 100000011406004,
"LaborInvoiceFormat": "Cont Line Prj/Task Format",
"NlInvoiceFormatId": 7002,
"NonlaborInvoiceFormat": "Contract Line Expenditure Type",
"EventsInvoiceFormatId": 100000011213026,
"EventInvoiceFormat": "Cont Line Project/Task Event",
"FirstBillingOffsetDays": null,
"InvoiceInstructions": null,
"InvoiceComment": null,
"PersonBillRateSchId": 100000010146226,
"PersonRateSchedule": "Employee Bill Rates",
"JobBillRateSchId": 100000015522717,
"JobRateSchedule": "Budget Const Job Planning Bill",
"LaborSchFixedDate": null,
"LaborDiscountPercentage": null,
"LaborDiscountReasonCode": null,
"LaborRateChangeReason": null,
"NlBillRateSchId": 100000015522739,
"NonlaborRateSchedule": "Budget Nonlabor Planning Bill",
"NlSchFixedDate": null,
"NlDiscountPercentage": null,
"NlDiscountReasonCode": null,
"NonlaborRateChangeReason": null,
"BurdenSchId": null,
"BurdenSchedule": null,
"BurdenSchFixedDate": null,
"LaborTpScheduleId": null,
"LaborTransferPriceSchedule": null,
"LaborTpSchFixedDate": null,
"NlTpScheduleId": null,
"NonlaborTransferPriceSchedule": null,
"NlTpSchFixedDate": null,
"OnHoldFlag": false,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"InvoiceCurrencyDateType": null,
"InvoiceCurrencyConversionDateType": null,
"InvoiceCurrencyExchgDate": null,
"InvoiceCurrencyRateType": null,
"InvoiceCurrencyConversionRateType": null,
"InvoiceCurrencyCode": null,
"NlBillBasisCode": null,
"NonlaborCostBasis": null,
"LaborBillBasisCode": null,
"LaborCostBasis": null,
"LaborMarkupPercentage": null,
"NlMarkupPercentage": null,
"DocumentNumber": null,
"LocFlag": null,
"FederalInvoiceFormat": null,
"ProjectRoleBillRateSchId": null,
"ProjectRoleRateScheduleName": null,
"NonLaborRateOverride": {
"items": [
{
"BillRateOverrideId": 300100012835895,
"MajorVersion": 1,
"ContractLineId": null,
"ContractLineNumber": null,
"ExpenditureTypeId": 10401,
"ExpenditureTypeName": "15800 - Process Piping",
"NonLaborResourceId": null,
"NonLaborResourceName": null,
"StartDateActive": "2011-01-01",
"OrganizationId": null,
"OrganizationName": null,
"Rate": 1,
"RateCurrencyCode": "USD",
"RateCurrency": "US Dollar",
"DiscountPercentage": null,
"RateDiscReasonCode": null,
"RateDiscountReason": null,
"MarkupPercentage": null,
"EndDateActive": "2030-01-01",
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "300100012835895,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/NonLaborRateOverride/300100012835895%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/NonLaborRateOverride/300100012835895%2C1",
"name": "NonLaborRateOverride",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1",
"name": "BillPlan",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
}
]
},
"@context": {
"key": "300100012835889,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1",
"name": "BillPlan",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/BillPlanDescriptiveFlexField",
"name": "BillPlanDescriptiveFlexField",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/BillPlanTranslation",
"name": "BillPlanTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/JobAssignmentOverride",
"name": "JobAssignmentOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/JobRateOverride",
"name": "JobRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/JobTitleOverride",
"name": "JobTitleOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/LaborMultiplierOverride",
"name": "LaborMultiplierOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/NonLaborRateOverride",
"name": "NonLaborRateOverride",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan/300100012835889%2C1/child/PersonRateOverride",
"name": "PersonRateOverride",
"kind": "collection"
}
]
}
}
],
"count": 3,
"hasMore": true,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069549916",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549916/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 300100013084746,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": "Spot",
"InvConvRateDateTypeName": "Transaction date",
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ZOKC-INF-RV-SELL-LINES-pend_app_01",
"ContractNumberModifier": null,
"Cognomen": "ZOKC-INF-RV-SELL-LINES-pend_app_01",
"BuyOrSell": "S",
"PartyId": 1004,
"PartyName": "Hilman and Associates",
"InvOrganizationId": 204,
"StsCode": "PENDING_APPROVAL",
"CurrencyCode": "USD",
"StartDate": "2012-08-31",
"EndDate": null,
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": "Spot",
"InvConvRateDateType": "TRANSACTION",
"InvConvRateDate": null,
[...]
